Bug 13863 - XACE-SELINUX GLX Breakage
Summary: XACE-SELINUX GLX Breakage
Status: RESOLVED FIXED
Alias: None
Product: xorg
Classification: Unclassified
Component: Server/Ext/GLX (show other bugs)
Version: git
Hardware: x86-64 (AMD64) FreeBSD
: medium major
Assignee: Xorg Project Team
QA Contact: Xorg Project Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: xorg-7.4
  Show dependency treegraph
 
Reported: 2007-12-30 06:25 UTC by vehemens
Modified: 2008-03-18 15:09 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments
amd64 xserver build log (85.89 KB, application/x-gzip)
2008-02-21 16:25 UTC, vehemens
no flags Details
__glXDisp_GetVisualConfigs message patch (434 bytes, patch)
2008-03-18 00:34 UTC, vehemens
no flags Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description vehemens 2007-12-30 06:25:13 UTC
The XACE-SELINUX updates has broken GLX (i.e. glxinfo has "Error: couldn't find RGB GLX visual") on my amd64 system.  My i386 system works fine.

Looking through the compile log, there are a number of: cast from/to pointer to/from integer of different size warnings.  These errors were present before, but the variables appear to be managed differently with the recent security changes.
Comment 1 Eamon Walsh 2008-01-30 18:47:26 UTC
Please provide more detail - what are the specific variables, files, and warnings involved?

My initial thought is that it could be one of the cases where an integer value is stored in the devPrivates instead of a pointer.  I am building on an x86_64 system now.
Comment 2 vehemens 2008-02-21 16:25:56 UTC
Created attachment 14488 [details]
amd64 xserver build log

As reported before, same xserver/mesa build works on i386, but fails on amd64.  xserver 1.4.0.19 is a local dist as of 2008-02-19 03:01:50 commit 67a78e84a81571cedaf7fd214a21ce1bbdc4fb3b.  mesa 7.0.2.9 is a local dist as of 2008-02-17 19:34:48 commit 8c8107118e79b9b8c21860b3cec29a17ba3c3f5a.
Comment 3 vehemens 2008-03-18 00:34:55 UTC
Created attachment 15247 [details] [review]
__glXDisp_GetVisualConfigs message patch

Turns out this bug was unrelated to the selinux updates other then changes in memory usage.  Problem was that the glxcmds.c __glXDisp_GetVisualConfigs function left garbage in the tail end of the message used for extensions.
Comment 4 Eamon Walsh 2008-03-18 15:09:06 UTC
I pushed this patch, thanks.

Although I wonder why there is slack space at the end of the message at all.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.